org.eclipse.mat.inspections

## Class RetainedSetQuery

- java.lang.Object
- - org.eclipse.mat.inspections.RetainedSetQuery

All Implemented Interfaces:
  IQuery

    public class RetainedSetQuery
    extends Object
    implements IQuery

### Field Summary

Fields
`String[]` `fieldNames`
`IHeapObjectArgument` `objects`
`ISnapshot` `snapshot`

### Constructor Summary

Constructors
Constructor and Description
`RetainedSetQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### objects

    public IHeapObjectArgument objects

#### fieldNames

    public String[] fieldNames

### Constructor Detail

#### RetainedSetQuery

    public RetainedSetQuery()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception`